# bootstrap
%define with_oldxbean 0
Name:          xmlbeans
Version:       2.4.0
Release:       %mkrel 1
Summary:       XML-Java binding tool
Group:         Development/Java
License:       ASL 2.0
Url:           http://xmlbeans.apache.org/
Source0:       http://ftp.unina.it/pub/Unix/apache/xmlbeans/source/xmlbeans-2.4.0-src.zip
Source1:       http://repo1.maven.org/maven2/org/apache/xmlbeans/xmlbeans/2.4.0/xmlbeans-2.4.0.pom
Source2:       http://repo1.maven.org/maven2/org/apache/xmlbeans/xmlbeans-xpath/2.4.0/xmlbeans-xpath-2.4.0.pom
Source3:       http://repo1.maven.org/maven2/org/apache/xmlbeans/xmlbeans-xmlpublic/2.4.0/xmlbeans-xmlpublic-2.4.0.pom
Source4:       http://repo1.maven.org/maven2/org/apache/xmlbeans/xmlbeans-qname/2.4.0/xmlbeans-qname-2.4.0.pom

BuildRequires: ant
BuildRequires: ant-contrib
BuildRequires: ant-junit
# todo BuildRequires: DdlUtils 
BuildRequires: bea-stax
BuildRequires: bea-stax-api
BuildRequires: java
BuildRequires: java-javadoc
BuildRequires: junit
BuildRequires: piccolo
BuildRequires: saxon8
BuildRequires: saxon8-dom
BuildRequires: saxon9
BuildRequires: saxon9-dom
BuildRequires: saxon9-xpath
BuildRequires: xerces-j2
BuildRequires: xml-commons-resolver
%if %with_oldxbean
BuildRequires: xmlbeans
%endif
Requires:      bea-stax-api
Requires:      jpackage-utils
Requires:      saxon9
Requires:      saxon9-dom
Requires:      saxon9-xpath
Requires:      xml-commons-resolver
BuildArch:     noarch

%description
XMLBeans is a tool that allows you to access the full power
of XML in a Java friendly way. It is an XML-Java binding tool.
The idea is that you can take advantage the richness and
features of XML and XML Schema and have these features mapped
as naturally as possible to the equivalent Java language and
typing constructs. XMLBeans uses XML Schema to compile Java
interfaces and classes that you can then use to access and
modify XML instance data. Using XMLBeans is similar to using
any other Java interface/class, you will see things like
getFoo or setFoo just as you would expect when working with
Java. While a major use of XMLBeans is to access your XML
instance data with strongly typed Java classes there are also
API's that allow you access to the full XML infoset (XMLBeans
keeps full XML Infoset fidelity) as well as to allow you to
reflect into the XML schema itself through an XML Schema
Object model.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jpackage-utils

%description javadoc
XMLBeans is a technology for accessing XML by binding it to Java types.

This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Manual for %{name}

%description manual
XMLBeans is a technology for accessing XML by binding it to Java types.

This package contains documentation for %{name}.

%package scripts
Group:         Development/Java
Summary:       Useful command-line scripts for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description scripts
XMLBeans is a technology for accessing XML by binding it to Java types.

This package contains useful command-line scripts for %{name}.

%prep
%setup -q -n xmlbeans-%{version}

for j in $(find -name "*.jar"); do
	mv $j  $j.no
done

mkdir -p build/lib
pushd build/lib
	ln -sf $(build-classpath saxon9-dom) saxon9-dom.jar
	ln -sf $(build-classpath saxon9) saxon9.jar
	ln -sf $(build-classpath saxon9/saxon9-xpath) saxon9-xpath.jar
	ln -sf $(build-classpath xml-commons-resolver) resolver.jar
	ln -sf $(build-classpath bea-stax-api) jsr173_1.0_api.jar
	ln -sf $(build-classpath saxon8-dom) saxon8.jar
	ln -sf $(build-classpath saxon8) saxon8-dom.jar
popd
pushd external/lib
  mv piccolo_apache_dist_20040711_v2.jar.no piccolo_apache_dist_20040711_v2.jar
  ln -sf $(build-classpath piccolo) piccolo_apache_dist_20040711.jar
  ln -sf $(build-classpath piccolo) piccolo_apache_dist_20040629_v2.jar
  ln -sf $(build-classpath saxon8-dom) saxon8.jar
  ln -sf $(build-classpath saxon8) saxon8-dom.jar
  ln -sf $(build-classpath saxon9) saxon9.jar
  ln -sf $(build-classpath saxon9-dom) .
  ln -sf $(build-classpath junit) .
  ln -sf $(build-classpath bea-stax-api) jsr173_1.0_api.jar
  ln -sf $(build-classpath bea-stax-ri) jsr173_1.0_api_bundle.jar
  ln -sf $(build-classpath xml-commons-resolver) resolver.jar
%if %with_oldxbean
  ln -sf $(build-classpath xmlbeans/xbean) oldxbean.jar  
%else
# vs 2.3.0
  mv oldxbean.jar.no oldxbean.jar
%endif
  mv jam-0.1.0-src.jar.no jam-0.1.0-src.jar
  touch xcresolver.zip
popd
# mv samples/vxsdb/external/DdlUtils-1.0-RC1.jar.no samples/vxsdb/external/DdlUtils-1.0-RC1.jar
sed 's/\r//' -i LICENSE.txt NOTICE.txt README.txt docs/stylesheet.css

%build

export CLASSPATH=$(build-classpath-directory build/lib)
export OPT_JAR_LIST="`cat %{_sysconfdir}/ant.d/{nodeps}`"
export XMLBEANS_EXTERNALS=%{_javadir}
export XMLBEANS_HOME=$PWD
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 default docs

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/xmlbeans
install -pm 644 build/lib/xmlpublic.jar %{buildroot}%{_javadir}/xmlbeans/xmlpublic-%{version}.jar
install -pm 644 build/lib/xbean_xpath.jar %{buildroot}%{_javadir}/xmlbeans/xbean_xpath-%{version}.jar
install -pm 644 build/lib/xmlbeans-qname.jar %{buildroot}%{_javadir}/xmlbeans/xmlbeans-qname-%{version}.jar
install -pm 644 build/lib/xbean.jar %{buildroot}%{_javadir}/xmlbeans/xbean-%{version}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP.xmlbeans-xbean.pom
%add_to_maven_depmap org.apache.xmlbeans xmlbeans %{version} JPP/xmlbeans xbean
##add_to_maven_depmap xmlbeans xbean %{version} JPP/xmlbeans xbean
install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP.xmlbeans-xbean_xpath.pom
%add_to_maven_depmap org.apache.xmlbeans xmlbeans-xpath %{version} JPP/xmlbeans xbean_xpath
install -pm 644 %{SOURCE3} %{buildroot}%{_mavenpomdir}/JPP.xmlbeans-xmlpublic.pom
%add_to_maven_depmap org.apache.xmlbeans xmlbeans-xmlpublic %{version} JPP/xmlbeans xmlpublic
install -pm 644 %{SOURCE4} %{buildroot}%{_mavenpomdir}/JPP.xmlbeans-xmlbeans-qname.pom
%add_to_maven_depmap org.apache.xmlbeans xmlbeans-qname %{version} JPP/xmlbeans xmlbeans-qname

(
	cd %{buildroot}%{_javadir}/xmlbeans
	ln -s xmlpublic-%{version}.jar xmlpublic.jar
	ln -s xbean_xpath-%{version}.jar xbean_xpath.jar
	ln -s xmlbeans-qname-%{version}.jar xmlbeans-qname.jar
	ln -s xbean-%{version}.jar xbean.jar
)

mkdir -p %{buildroot}%{_bindir}
install -pm 0755 bin/dumpxsb %{buildroot}%{_bindir}
install -pm 0755 bin/inst2xsd %{buildroot}%{_bindir}
install -pm 0755 bin/scomp %{buildroot}%{_bindir}
install -pm 0755 bin/sdownload %{buildroot}%{_bindir}
install -pm 0755 bin/sfactor %{buildroot}%{_bindir}
install -pm 0755 bin/svalidate %{buildroot}%{_bindir}
install -pm 0755 bin/validate %{buildroot}%{_bindir}
install -pm 0755 bin/xpretty %{buildroot}%{_bindir}
install -pm 0755 bin/xsd2inst %{buildroot}%{_bindir}
install -pm 0755 bin/xsdtree %{buildroot}%{_bindir}
install -pm 0755 bin/xstc %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_javadocdir}/xmlbeans-%{version}
cp -pr build/docs/reference/* %{buildroot}%{_javadocdir}/xmlbeans-%{version}
ln -s xmlbeans-%{version} %{buildroot}%{_javadocdir}/xmlbeans
rm -rf build/docs/reference

mkdir -p %{buildroot}%{_docdir}/xmlbeans-%{version}
cp -pr build/docs/* %{buildroot}%{_docdir}/xmlbeans-%{version}
cat %{buildroot}%{_docdir}/xmlbeans-%{version}/guide/tools.html | tr -d \\r > tmp
mv tmp %{buildroot}%{_docdir}/xmlbeans-%{version}/guide/tools.html

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/xmlbeans/xbean-%{version}.jar
%{_javadir}/xmlbeans/xbean.jar
%{_javadir}/xmlbeans/xbean_xpath-%{version}.jar
%{_javadir}/xmlbeans/xbean_xpath.jar
%{_javadir}/xmlbeans/xmlbeans-qname-%{version}.jar
%{_javadir}/xmlbeans/xmlbeans-qname.jar
%{_javadir}/xmlbeans/xmlpublic-%{version}.jar
%{_javadir}/xmlbeans/xmlpublic.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt README.txt

%files javadoc
%{_javadocdir}/xmlbeans-%{version}
%{_javadocdir}/xmlbeans

%files manual
%{_docdir}/xmlbeans-%{version}

%files scripts
%attr(0755,root,root) %{_bindir}/*



%changelog
* Sun Aug 14 2011 dmorgan <dmorgan> 2.4.0-1.mga2
+ Revision: 133027
- Clean spec file

  + gil <gil>
    - imported package xmlbeans


* Sat Jul 09 2011 gil <gil> 2.4.0-0.%%mkrel
- initial rpm
